//Mdulo GLUTCODE en el que se incluye el cdigo de acceso
//a la ventana e interaccin con el ratn y teclado.
//Unicamente funciones de la glut.
#include <StdAfx.h>
#include <stdio.h>
#include <gl/gl.h>
#include <gl/glut.h>

#include "glcode.h"

void main(int argc, char **argv)
{

    glutInit(&argc, argv); /*Inicializamos la libreria*/
	/*Antes de abrir la ventana hay que decir cmo queremos configurar la memoria
	grafica: utilizamos truecolor(rgb), luego doble buffer: dibujamos en un buffer
	y luego lo presentamos en la ventana, para que as no se vea el rellenado,
	GLUT_DEPTH:reservamos memoria para el buffer de profundidad:sirve para hacer
	el teste de profundidad*/
    glutInitDisplayMode(GLUT_RGB | GLUT_DOUBLE | GLUT_DEPTH);
	/*Inicializa el tamanyo de la ventana: 400x300*/
    glutInitWindowSize(400, 300);
	/*Abrimos la ventana con un titulo*/
    glutCreateWindow("Practica Ejemplo");

    inicializacion_gl();/*Funcion que inicializa el contexto grafico dela OPENGL??*/

	/*Funciones para la gestion de eventos: decimos que funciones son llamadas
	cuando ocurren determinados eventos*/

    glutReshapeFunc(cambia_tamanyo);/*Funcion que sera llamada cuando cambie el tamanyo de la
				   ventana*/
    glutKeyboardFunc(eventos_teclado);  /*Funcion que responde a los eventos del teclado*/
    glutDisplayFunc(redibujar_escena); /*Funcion de redibujado*/	
    glutIdleFunc(actualizar_CB);   /*Funcion que se llama cuando no hay nada mas que hacer
				Lo normal es utilizar esta funcion para calcular, por ejemplo
				como tiene que dibujar el objeto en el siguiente paso*/
    glutMainLoop();		/*Bucle de lectura de eventos:lee eventos y va llamando a las
				funciones anteriormente declaradas*/

	/*Estas funciones anteriores las podemos llamar como queramos pero tienen
	que tener unos determinado argumentos*/

}
